Subject: [Spridgets] ACD Museum - Auburn IN

From: James Gruber <[email-masked]>
Date: Fri, 1 Mar 2013 13:04:32 -0800 (PST)

ACD Museum - Been there 3 times in the last 10 years. Never fails to amaze me
when this country managed to produce way, way, back when. Beautiful Auburns,
Cords, and the Duesenbergs plus a whole lot other very interesting period
cards plus things like a nice original 427 Cobra, oddities, brands produces in
Indiana. Lots of stuff that makes a visit worthwhile. An the Auburn Inn, nice
place to stay with lots of period pictures adorning the hallyways.  If you are
in the mid west definitely worth the trip.
 
PS around Labor Day they have an
ACD Museum Festival, parades where these cars get driven, and even stage a
Duesenberg Drag Race out at the airport. That I'd like to see.
------------------------

[email-masked]

Archive: http://www.team.net/archive